Skip to content

API reference

API: Workspaces

Markdown version

MethodPathWhat it doesScope
GET/v1/workspacesList workspaces (brands) in the organizationsettings:read
POST/v1/workspacesCreate a workspace (owner)settings:write
DELETE/v1/workspaces/:idDelete a workspace (owner)settings:write
PATCH/v1/workspaces/:idRename a workspace (owner)settings:write
PUT/v1/workspaces/:id/membersLimit people to this workspace's records (with their other workspaces); an empty list clears it (owner) (web app only)members:write
DELETE/v1/workspaces/limits/:userIdLift a person's workspace limit (they see every workspace's records) (owner) (web app only)settings:write

Examples

GET /v1/workspaces

List workspaces (brands) in the organization

curl -s "https://api.closefinch.com/v1/workspaces" \
  -H "Authorization: Bearer $RA_API_KEY"
const res = await fetch(`https://api.closefinch.com/v1/workspaces`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();

POST /v1/workspaces

Create a workspace (owner)

curl -s -X POST "https://api.closefinch.com/v1/workspaces" \
  -H "Authorization: Bearer $RA_API_KEY" \
  -H "content-type: application/json" \
  -d '{}'
const res = await fetch(`https://api.closefinch.com/v1/workspaces`, {
  method: "POST",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}`, "content-type": "application/json" },
  body: JSON.stringify({}), // fields: see the OpenAPI schema
});
const data = await res.json();

DELETE /v1/workspaces/$ID

Delete a workspace (owner)

curl -s -X DELETE "https://api.closefinch.com/v1/workspaces/$ID" \
  -H "Authorization: Bearer $RA_API_KEY"
const res = await fetch(`https://api.closefinch.com/v1/workspaces/${id}`, {
  method: "DELETE",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();

PATCH /v1/workspaces/$ID

Rename a workspace (owner)

curl -s -X PATCH "https://api.closefinch.com/v1/workspaces/$ID" \
  -H "Authorization: Bearer $RA_API_KEY" \
  -H "content-type: application/json" \
  -d '{}'
const res = await fetch(`https://api.closefinch.com/v1/workspaces/${id}`, {
  method: "PATCH",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}`, "content-type": "application/json" },
  body: JSON.stringify({}), // fields: see the OpenAPI schema
});
const data = await res.json();

Request and response schemas: https://www.closefinch.com/openapi.json. All resources: API reference.

Send feedback

Tell us what's broken, confusing or missing on this page, or an idea. It goes to the team that builds the product.

Please don't include passwords or card numbers.
Only to reply about this. Never added to any mailing list.